View Issue Details

IDProjectCategoryView StatusLast Update
0004297SymmetricDSBugpublic2020-03-17 14:42
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.11Fixed in Version3.10.11 
Summary0004297: File sync null pointer exception reading acks
DescriptionUsing push file sync, the source node gets a NullPointerException after pushing files and trying to read acknowledgement.

2020-03-03 08:56:40,881 WARN [node10] [FileSyncService] [node10-file_push-default-1] Could not communicate with node 'central:dev:dev' at http://localhost:31415/sync/central-dev because of unexpected error StackTraceKey.init [NullPointerException:1509256296]
java.lang.NullPointerException
        at org.jumpmind.symmetric.transport.http.HttpOutgoingTransport.readResponse(HttpOutgoingTransport.java:320)
        at com.jumpmind.symmetric.console.remote.m.readResponse(RemoteStatusHttpOutgoingTransport.java:62)
        at org.jumpmind.symmetric.service.impl.AbstractService.readAcks(AbstractService.java:295)
        at org.jumpmind.symmetric.service.impl.FileSyncService.pushFilesToNode(FileSyncService.java:893)
        at org.jumpmind.symmetric.service.impl.FileSyncService.execute(FileSyncService.java:860)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:517)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)
Tagsfile sync

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 7229f368

2020-03-09 12:35:24

admin

Details Diff
0004297: File sync null pointer exception reading acks Affected Issues
0004297
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2020-03-03 12:54 elong New Issue
2020-03-03 12:54 elong Status new => assigned
2020-03-03 12:54 elong Assigned To => elong
2020-03-03 12:54 elong Tag Attached: file sync
2020-03-09 12:39 elong Status assigned => resolved
2020-03-09 12:39 elong Resolution open => fixed
2020-03-09 12:39 elong Fixed in Version => 3.10.11
2020-03-09 12:40 elong Issue cloned: 0004305
2020-03-09 13:00 admin Changeset attached => SymmetricDS 3.10 7229f368
2020-03-17 14:42 admin Status resolved => closed